Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.resourcepool
Class CannotAcquireResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.mchange.lang.PotentiallySecondaryException
                  com.mchange.v2.resourcepool.ResourcePoolException
                      com.mchange.v2.resourcepool.CannotAcquireResourceException

All Implemented Interfaces:
  com.mchange.lang.PotentiallySecondary, java.io.Serializable

    public class CannotAcquireResourceException

extends ResourcePoolException

See Also:
  Serialized Form

Constructor Summary
`CannotAcquireResourceException()`
`CannotAcquireResourceException(java.lang.String msg)`
`CannotAcquireResourceException(java.lang.String msg, java.lang.Throwable t)`
`CannotAcquireResourceException(java.lang.Throwable t)`

Method Summary

Methods inherited from class com.mchange.lang.PotentiallySecondaryException
`getNestedThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotAcquireResourceException

    public CannotAcquireResourceException(java.lang.String msg,
                                          java.lang.Throwable t)

### CannotAcquireResourceException

    public CannotAcquireResourceException(java.lang.Throwable t)

### CannotAcquireResourceException

    public CannotAcquireResourceException(java.lang.String msg)

### CannotAcquireResourceException

    public CannotAcquireResourceException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD